Bio::MAGETAB::MatrixRow(3)

NAME
Bio::MAGETAB::MatrixRow - MAGE-TAB matrix row class

SYNOPSIS
 use Bio::MAGETAB::MatrixRow;

DESCRIPTION
This class is used to describe the rows of a MAGE-TAB data matrix. It acts as a mapping between a numbered row in the matrix, and the design element (Feature, Reporter or CompositeElement) to which it applies. See the BaseClass class for superclass methods.

ATTRIBUTES

rowNumber (required)
    The number of the row in the data matrix. Rows are assumed to be numbered from top to bottom, starting at one for the first data row; however this is not constrained by the model and you may use whatever local conventions you prefer (data type: Integer).

designElement (required)
    The DesignElement to which the data in this row applies (data type: Bio::MAGETAB::DesignElement).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).